[RÉSOLU] Impossible d'ajouter un nouveau dépôt

Venez nous en parler, c'est ici que l'on vous conseillera !

[RÉSOLU] Impossible d'ajouter un nouveau dépôt

Messagede renaud » Mar 31 Oct 2017, 10:01

[Je laisse le post ici avec sa solution pour mémoire]

Salut,

sur une Ubuntu 16.04 (de base), il m'est actuellement impossible d'ajouter le moindre dépôt logiciel autre que ceux d'Ubuntu.
(le but est d'ajouter le dépôt owncloud pour avoir la dernière version du client pour se connecter à un serveur v10 ...)

J'ai essayé en ajoutant une source dans le fichier /etc/apt/sources.list ou en ajoutant un fichier de définition dans /etc/apt/sources.list.d/ ou même en ajoutant un ppa.
J'ai essayé les dépôts owncloud, nextcloud, xia, openprinting, y-ppa-manager, avec des dépôts en http ou en https.
Par contre, il est tout à fait possible d'activer les sources partner ou backports (mais c'est le même dépôt).

Le résultat est toujours le même (je prends le résultat sur openprinting comme exemple) :
$this->bbcode_second_pass_quote('', '
')user@machine: sudo apt update
...
Ign:1 http://www.openprinting.org/download/printdriver/debian lsb3.2 InRelease
Err:2 http://www.openprinting.org/download/printdriver/debian lsb3.2 Release
403 Forbidden
...
Lecture des listes de paquets... Fait
E: The repository 'http://www.openprinting.org/download/printdriver/debian lsb3.2 Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.


Je crois que le plus important là dedans (does not have a Release file) c'est qu'il ne reconnaît pas les fichiers du dépôt alors qu'ils sont là.
J'ai importé la clé des projets cités plus haut, mais ça ne change rien.

Avez-vous une idée de l'origine du pb et de ce qu'il faut faire pour y remédier ? (Troll, s'abstenir)

Est-ce que ça pourrait être un pb réseau / comment s'en assurer ?

Merci

Renaud

[SOLUTION] : C'était bien le réseau qui était en cause, mais à travers l'utilisation de squid-deb-proxy :

$this->bbcode_second_pass_quote('', '
')Pour permettre l'accès a des dépôts tiers (type PPA), modifier le fichier /etc/squid-deb-proxy/squid-deb-proxy.conf en changeant les directives existantes de la manière suivante :

#http_access deny !to_archive_mirrors
http_access allow !to_archive_mirrors

(source : https://doc.ubuntu-fr.org/squid-deb-proxy)
Avatar de l’utilisateur
renaud
 
Messages: 50
Inscription: Mer 11 Juin 2008, 11:06
Localisation: ILLZACH
Distribution: Ubuntu & Debian
Niveau: Padawan ad vitam aeternam

Retourner vers Un problème ?

Qui est en ligne

Utilisateurs parcourant ce forum: Aucun utilisateur enregistré et 2 invités